DELIVER(8)

NAME
deliver - deliver mail to an IMAP mailbox

SYNOPSIS
deliver [ -d ] [ -r address ] [ -f address ] [ -m mailbox ] [ -a auth-id ] [ -e ] [ -q ] [ -F flag ]...
[ userid ]...
deliver -l [ -e ] [ -q ]
deliver -E days

DESCRIPTION
Deliver reads a message from the standard input and delivers it to one or more IMAP mailboxes.

Deliver reads its configuration options out of the imapd.conf(5) file.

OPTIONS

-d  Ignored for compatability with /bin/mail.

-r address
    Insert a Return-Path: header containing

-f address
    Insert a Return-Path: header containing

-m mailbox
    Deliver to mailbox. If any userids are specified, attempts to deliver to user.userid.mailbox for each userid. If the ACL on any such mailbox does not grant the sender the "p" right or if -m is not specified, then delivers to the INBOX for the userid, regardless of the ACL on the INBOX.

    If no userids are specified, attempts to deliver to mailbox. If the ACL on mailbox does not grant the sender the "p" right, the delivery fails.

-a auth-id
    Specify the authorization id of the sender. Defaults to "anonymous".

-e  Enable duplicate delivery suppression. Will suppress delivery of the message to a mailbox if a message with the same message-id (or resent-message-id) is recorded as having already been delivered to the mailbox. Records the mailbox and message-id/resent-message-id of all successful deliveries.

-q  Deliver message even when receiving mailbox is over quota.

-F flag
    Set the system flag or keyword flag on the delivered message.

-l  Accept messages using the LMTP protocol.

-E days
    Prune the duplicate delivery database of entries older than days.

NOTES
Depending on the setting of reject8bit in imapd.conf(5), deliver either rejects messages with 8-bit-set characters in the headers or changes these characters to `X'. This is because such characters can't be interpreted since the character set is not known, although some communities not well-served by US-ASCII assume that those characters can be used to represent characters not present in US-ASCII.

A method for encoding 8-bit-set characters is provided by RFC 2047.

FILES

/etc/imapd.conf